﻿@model Asp_Sample.Areas.Account.Models.LoginViewModel

@{
    ViewData["Title"] = "Login";
}

<h1>Login</h1>

<div>
    <form  asp-controller="Home" asp-action="Login"  method="post">
        <div asp-validation-summary="ModelOnly"></div>

        @if (ViewData["ErrorMessage"] != null)
        {
            <div class="text-danger">@ViewData["ErrorMessage"]</div>
        }

        <label asp-for="UserName" class="col-md-2 control-label"></label>
        <div class="col-md-10">
            <input asp-for="UserName" class="form-control" />
            <span asp-validation-for="UserName" class="text-danger"></span>
        </div>

        <label asp-for="Password" class="col-md-2 control-label"></label>
        <div class="col-md-10">
            <input type="password" asp-for="Password" class="form-control" />
            <span asp-validation-for="Password" class="text-danger"></span>
        </div>

        <div class="form-group">
            <label asp-for="RememberMe"></label>
            <input asp-for="RememberMe" />
            <span asp-validation-for="RememberMe"></span>
        </div>

        <button type="submit" class="btn btn-primary">ورود</button>
    </form>

    @*<div class="row mb-3">
        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
            <h5 class="font-medium m-b-20" style="font-size: 16px">یا ورود با استفاده از اکانت :</h5>
            @{
                if (!Model.ExternalLogins.Any())
                {
                    <div>در حال حاضر امکان ورود با اکانت های دیگر وجود ندارد</div>
                }
                else
                {
                    <form method="post" asp-controller="Account" asp-action="ExternalLogin" asp-route-returnUrl="@Model.ReturnUrl">
                        <div class="social">
                            @foreach (var provider in Model.ExternalLogins)
                            {

                                <button type="submit" value="@provider.Name"
                                        class="btn btn-primary" name="provider"
                                        title="ورود با استفاده از اکانت @provider.DisplayName ">
                                    @provider.DisplayName
                                </button>

                            }
                        </div>
                    </form>
                }

            }
        </div>
    </div>*@


</div>


@section Scripts
{
    @{ await Html.RenderPartialAsync("_ValidationScriptsPartial"); }
}